/*
 * $Id: Query.java,v 1.1 2005/11/14 14:15:51 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.rss.tools.itb.search;

/**
 * 索引語検索条件
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class Query {
	/** not a number */
	public static final int NaN = -1;

	/** 索引語 */
	private String term;
	/** rownum開始位置 */
	private int from;
	/** rownum終了位置 */
	private int to;

	/**
	 * コンストラクタ．
	 */
	public Query() {
	}
	/**
	 * rownum開始位置を返す．
	 * @return rownum開始位置(NaN: 指定なし)
	 */
	public int getFrom() {
		return from;
	}

	/**
	 * 索引語を返す．
	 * @return 索引語
	 */
	public String getTerm() {
		return term;
	}

	/**
	 * rownum終了位置を返す．
	 * @return rownum終了位置(NaN: 指定なし)
	 */
	public int getTo() {
		return to;
	}

	/**
	 * rownum開始位置を設定する．
	 * @param i rownum開始位置(NaN: 指定なし)
	 */
	public void setFrom(int i) {
		from = i;
	}

	/**
	 * 索引語を設定する．
	 * @param string 索引語
	 */
	public void setTerm(String string) {
		term = string;
	}

	/**
	 * rownum開始位置を設定する．
	 * @param i rownum開始位置(NaN: 指定なし)
	 */
	public void setTo(int i) {
		to = i;
	}

}
